package com.huawei.remoteplayer;

import com.huawei.remoteplayer.IMediaPlayCallBack;
import com.huawei.remoteplayer.RemoteParameter;
import com.huawei.remoteplayer.SQMExecuteParameter;

interface IRegistMediaPlay {
	/**
	 * 创建媒体播放器对象，
	 * @param type播放器类型        
	 */
	int createMediaPlayer(String libPath,int codecMode,String Url,IMediaPlayCallBack handler);
	
	/**
	 * 设置播放地址，
	 * @param url播放地址        
	 */
	void setMediaUrl(int id,String url);
	
	void setSurfaceSize(int id,in Surface surface,in Rect rect);
	/**
	 * 释放媒体播放器对象
	 */
	void release(int id);
	
	void prepare(int id);
	
	/**
	 * 启动播放视频
	 */	
	void start(int id);

	 
	/**
	 * 暂停正在播放的媒体
	 */		
	void pause(int id);
	
	/**
	 * 停止正在播放的媒体。并释放机顶盒本地播放器的相关资源。
	 */
	void stop(int id);
	
	
	/**
	 * 从当前媒体的快进或快退。
	 */
	void seek(int id,int time,int play);

    void suspend(int id);
    
    void resume(int id,int play);
    
    void redrawSurface(int id,in Rect rect);
     
    int getVideoHeightByBitrate(int id,int bitrate);   

    int getVideoWidthByBitrate(int id,int bitrate);
    
   	
   	int setParameter(int id,int key ,in RemoteParameter value);
   	
   	RemoteParameter getParameter(int id,int key );
   	
   	String downloadExecute( int intParam1, int intparam2, String stringParam1, String stringParam2);
   	
   	String sqmExecute( int intParam1, int intparam2, String stringParam1, String stringParam2);
   	
   	String sqmExecuteNew( in SQMExecuteParameter param);
  	 
   	void log(int level, String tag, String file, int line,String msg);    
   	
   	String dmpExecute(int key ,in RemoteParameter value);

}